
module WdiTf
    module Funcs
        module_function
        
        def set_verbose=(v)
            @verbose = v
        end
        
        def verbose?
            @verbose
        end
        
        def verbose(msg)
            if WdiTf::Funcs.verbose?
                info(msg)
            end
        end
        
        def error(msg:, code: 1)
            puts "\033[31mERROR: #{ msg }\033[0m"
            exit(code)
        end
        
        def info(msg)
            color = (/^\s+/.match(msg)) ? 32 : 34
            puts "\033[1;30m[#{ Time.now.strftime("%Y.%m.%d %H:%M:%S") }] \033[#{ color }m#{ msg }\033[0m"
        end
    end
end
